---R-------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    11:35:51 10/20/2009 
-- Design Name: 
-- Module Name:    DropDetect - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity DropDetect is
    Port (
			DD_DropLimit		: in std_logic_vector(8 downto 0);
			DD_Position			: in std_logic_vector(8 downto 0);
			DD_Enable			: in std_logic;
         DD_DropDetect		: out std_logic
			);
			
end DropDetect;

architecture arch of DropDetect is

begin

	Process (DD_Position, DD_DropLimit, DD_Enable)

	Begin
	If (DD_Position <= DD_DropLimit) Then
		DD_DropDetect <= DD_Enable;
	Else
		DD_DropDetect <= '0';
	End If;

	End Process;

end arch;

