----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    16:56:32 08/11/2009 
-- Design Name: 
-- Module Name:    Hold_State_2_Mos_State - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Hold_State_2_Mos_State is
    Port 	
			(
			HS2MS_I_Hold_State 	: in  std_logic_vector(5 downto 0);
         HS2MS_O_Mos_State 	: out std_logic_vector(3 downto 0)
			);
			
end Hold_State_2_Mos_State;

architecture Arch of Hold_State_2_Mos_State is

	signal Hold_state : std_logic_vector(5 downto 0);
	signal output		: std_logic_vector(3 downto 0);

begin

	-- Assignments
	Hold_State <= HS2MS_I_Hold_State;
	HS2MS_O_Mos_State <= output;
	
	process(Hold_State)
	begin
		case Hold_State is
		
			-- Hold State 0
			when "000000" =>
				output <= "0000";
				
			-- Hold State 1
			when "000001" =>
				output <= "0001";
				
			-- Hold State 2
			when "000010" =>
				output <= "0010";
				
			-- Hold State 3
			when "000011" =>
				output <= "0011";
				
			-- Hold State 4
			when "000100" =>
				output	<= "0100";
				
			-- Hold State 5
			when "000101" =>
				output <= "0101";
				
			-- Hold State 6
			when "000110" =>
				output <= "0110";
				
			-- Hold State 7
			when "000111" =>
				output <= "0111";
			
			-- Hold State 8
			when "001000" =>
				output <= "1000";
			
			-- Hold State 9
			when "001001" =>
				output <= "1001";
			
			-- Hold State 10
			when "001010" =>
				output <= "1010";
			
			-- Hold State 11
			when "001011" =>
				output <= "1011";
			
			-- Hold State 12
			when "001100" =>
				output <= "1100";
			
			-- Hold State 13
			when "001101" =>
				output <= "0001";
			
			-- Hold State 14
			when "001110" =>
				output <= "0010";
			
			-- Hold State 15
			when "001111" =>
				output <= "0011";
			
			-- Hold State 16
			when "010000" =>
				output <= "0100";
			
			-- Hold State 17
			when "010001" =>
				output <= "0101";
			
			-- Hold State 18
			when "010010" =>
				output <= "0110";
				
			-- Hold State 19
			when "010011" =>
				output <= "0111";
				
			-- Hold State 20
			when "010100" =>
				output <= "1000";
				
			-- Hold State 21
			when "010101" =>
				output <= "1001";
				
			-- Hold State 22
			when "010110" =>
				output <= "1010";
				
			-- Hold State 23
			when "010111" =>
				output <= "1011";
				
			-- Hold State 24
			when "011000" =>
				output <= "1100";
			
			-- Hold State 25
			when "011001" =>
				output <= "0001";
				
			-- Hold State 26
			when "011010" =>
				output <= "0010";
				
			-- Hold State 27
			when "011011" =>
				output <= "0011";
				
			-- Hold State 28
			when "011100" =>
				output	<= "0100";
				
			-- Hold State 29
			when "011101" =>
				output <= "0101";
				
			-- Hold State 30
			when "011110" =>
				output <= "0110";
				
			-- Hold State 31
			when "011111" =>
				output <= "0111";
			
			-- Hold State 32
			when "100000" =>
				output <= "1000";
			
			-- Hold State 33
			when "100001" =>
				output <= "1001";
			
			-- Hold State 34
			when "100010" =>
				output <= "1010";
			
			-- Hold State 35
			when "100011" =>
				output <= "1011";
			
			-- Hold State 36
			when "100100" =>
				output <= "1100";
			
			-- Hold State 37
			when "100101" =>
				output <= "0001";
			
			-- Hold State 38
			when "100110" =>
				output <= "0010";
			
			-- Hold State 39
			when "100111" =>
				output <= "0011";
			
			-- Hold State 40
			when "101000" =>
				output <= "0100";
			
			-- Hold State 41
			when "101001" =>
				output <= "0101";
			
			-- Hold State 42
			when "101010" =>
				output <= "0110";
				
			-- Hold State 43
			when "101011" =>
				output <= "0111";
				
			-- Hold State 44
			when "101100" =>
				output <= "1000";
				
			-- Hold State 45
			when "101101" =>
				output <= "1001";
				
			-- Hold State 46
			when "101110" =>
				output <= "1010";
				
			-- Hold State 47
			when "101111" =>
				output <= "1011";
				
			-- Hold State 48
			when "110000" =>
				output <= "1100";
			
			when others =>
				output <= "0001";
		
		end case;
	end process;



end Arch;

